Package com.ngrok.definitions

# Class ReservedDomainCertPolicy.Builder

java.lang.Object
com.ngrok.definitions.ReservedDomainCertPolicy.Builder

Enclosing class:
  ReservedDomainCertPolicy

public static class ReservedDomainCertPolicy.Builder extends Object
Builder class for `ReservedDomainCertPolicy`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ReservedDomainCertPolicy.Builder`
  `authority(String authority)`
  certificate authority to request certificates from.
  `ReservedDomainCertPolicy.Builder`
  `authority(Optional<String> authority)`
  certificate authority to request certificates from.
  `ReservedDomainCertPolicy`
  `build()`
  Constructs the `ReservedDomainCertPolicy` instance.
  `ReservedDomainCertPolicy.Builder`
  `privateKeyType(String privateKeyType)`
  type of private key to use when requesting certificates.
  `ReservedDomainCertPolicy.Builder`
  `privateKeyType(Optional<String> privateKeyType)`
  type of private key to use when requesting certificates.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### authority

    public ReservedDomainCertPolicy.Builder authority(String authority)
    certificate authority to request certificates from. The only supported value is letsencrypt.
    Parameters:
      `authority` - the value of the `authority` parameter as a `String`
    Returns:
      this builder instance

  - ### authority

    public ReservedDomainCertPolicy.Builder authority(Optional<String> authority)
    certificate authority to request certificates from. The only supported value is letsencrypt.
    Parameters:
      `authority` - the value of the `authority` parameter as a `String`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### privateKeyType

    public ReservedDomainCertPolicy.Builder privateKeyType(String privateKeyType)
    type of private key to use when requesting certificates. Defaults to rsa, can be either rsa or ecdsa.
    Parameters:
      `privateKeyType` - the value of the `private_key_type` parameter as a `String`
    Returns:
      this builder instance

  - ### privateKeyType

    public ReservedDomainCertPolicy.Builder privateKeyType(Optional<String> privateKeyType)
    type of private key to use when requesting certificates. Defaults to rsa, can be either rsa or ecdsa.
    Parameters:
      `privateKeyType` - the value of the `private_key_type` parameter as a `String`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### build

    public ReservedDomainCertPolicy build()
    Constructs the `ReservedDomainCertPolicy` instance.
    Returns:
      a new `ReservedDomainCertPolicy`